//=============================================================================
// MPU ý 
//
// by nexp76(nexp76@naver.com) http://cafe.naver.com/elab
// [config.h]
//=============================================================================

/*
  - Driver Cinfiguration Define
*/

#define _UART0_ENABLE
//UART1 ϱ 
//#define _UART0_ENABLE


//-----------------------------------------------------------------------------
#if 1
//#define U0_printf						printf
#define DebugPrint						U0_printf
#define DebugInit						U0_Init
#define DebugGetByte					U0_GetByte
#define DebugIsByte						U0_IsGetByte
#endif

#if 0
#define DebugPrint						printf
#define DebugInit						U1_Init
#define DebugGetByte					U1_GetByte
#define DebugIsByte						U1_IsGetByte
#endif
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//LED Driver
#define LED1_BIT						GPIO_Pin_0
#define LED1_PORT						GPIOB
#define Led1Init()						
#define Led1Off()						GPIO_SetBits(LED1_PORT, LED1_BIT);
#define Led1On()						GPIO_ResetBits(LED1_PORT, LED1_BIT)
#define Led1Toggle()					GPIO_ReadOutputDataBit(LED1_PORT, LED1_BIT)?Led1On():Led1Off()

#define LED2_BIT						GPIO_Pin_1
#define LED2_PORT						GPIOB
#define Led2Init()						
#define Led2Off()						GPIO_SetBits(LED2_PORT, LED2_BIT);
#define Led2On()						GPIO_ResetBits(LED2_PORT, LED2_BIT)
#define Led2Toggle()					GPIO_ReadOutputDataBit(LED2_PORT, LED2_BIT)?Led2On():Led2Off()

#define LedInit()  						RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB, ENABLE);\
										GPIO_InitStructure.GPIO_Pin = LED1_BIT|LED2_BIT;\
										GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;\
										GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;\
										GPIO_Init(LED1_PORT, &GPIO_InitStructure)
										
//-----------------------------------------------------------------------------
//Switch Driver
#define SW1_BIT							GPIO_Pin_0
#define SW1_PORT						GPIOA
#define Sw1Init()						RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA, ENABLE);\
										GPIO_InitStructure.GPIO_Pin = SW1_BIT;\
										GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;\
										GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IPU;\
										GPIO_Init(SW1_PORT, &GPIO_InitStructure)

#define GetSw1()						GPIO_ReadInputDataBit(SW1_PORT, SW1_BIT)
#define WaitForSw1()					while(GetSw1())


#define PORTA							GPIOA->ODR
#define PORTB							GPIOB->ODR
#define PORTC							GPIOC->ODR

#define InitPortB()						RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB, ENABLE);\
										GPIO_InitStructure.GPIO_Pin = 0xE7;\
										GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;\
										GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;\
										GPIO_Init(GPIOB, &GPIO_InitStructure)\
										GPIO_PinRemapConfig(GPIO_Remap_SWJ_Disable, ENABLE);\
										GPIO_InitStructure.GPIO_Pin = GPIO_Pin_3 | GPIO_Pin_4;\
										GPIO_Init(GPIOB, &GPIO_InitStructure)

//-----------------------------------------------------------------------------
#define SPI0_SS_BIT						BIT0
#define SPI0_SS_DDR						DDRB
#define SPI0_SS_PORT					PORTB

#define SPI0_SCLK_BIT					BIT1
#define SPI0_SCLK_DDR					DDRB
#define SPI0_SCLK_PORT					PORTB

#define	SPI0_MOSI_BIT					BIT2
#define SPI0_MOSI_DDR					DDRB
#define SPI0_MOSI_PORT					PORTB

#define	SPI0_MISO_BIT					BIT3
#define SPI0_MISO_DDR					DDRB
#define SPI0_MISO_PORT					PORTB


#define IINCHIP_SpiInit					SPI0_Init
#define IINCHIP_SpiSendData				SPI0_SendByte	
#define IINCHIP_SpiRecvData				SPI0_RxData

#define IINCHIP_CS_BIT					BIT0
#define IINCHIP_CS_DDR					DDRB
#define IINCHIP_CS_PORT					PORTB

#define IINCHIP_CSInit()				Sbi(IINCHIP_CS_DDR, IINCHIP_CS_BIT)
#define IINCHIP_CSon()					Sbi(IINCHIP_CS_PORT, IINCHIP_CS_BIT)
#define IINCHIP_CSoff()					Cbi(IINCHIP_CS_PORT, IINCHIP_CS_BIT)
//-----------------------------------------------------------------------------



