//=============================================================================
// STM32 HAL
// by nexp76(nexp76@naver.com)
// [hal_stm32.h]
//=============================================================================

/*


*/


//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
#include "stm32f10x_lib.h"

#define PORT0								(GPIO0->PD)
#define PORT1								(GPIO1->PD)


#define DDR_OUT(Port, Bit)					GPIO_Config(Port, Bit, GPIO_OUT_PP)
#define DDR_IN(Port, Bit)					GPIO_Config(Port, Bit, GPIO_IN_TRI_CMOS)

#define IsBit(Bit)							((rPIO_PDSR & (Bit)) == (Bit))
#define TBI(Bit)							(IsBit(Bit))?Sbi(PORTA_CLR, Bit):Sbi(PORTA_SET, Bit)
#define SBI(Port, Bit)						
#define CBI(Port, Bit)			

//-----------------------------------------------------------------------------
//SYSTEM Fuction Declaration
void SystemInit(void);
void Delay(unsigned long Time);

// Enter interrupt	
#define enable()  __asm__ __volatile__ ("sei" ::)
#define disable() __asm__ __volatile__ ("cli" ::)

void RCC_Configuration(void);
void NVIC_Configuration(void);


#define _FLASH_						__attribute__ ((progmem))
#define FlashRead(Data)				pgm_read_byte(Data)
//-----------------------------------------------------------------------------
