//=============================================================================
// Microcontroller Serial Ʈ  API Լ
// by (nexp76@naver.com)
// [serial.c]
//=============================================================================

/*
 - [2007.01.02] 
 -  Ŀ    ִ APIԼ  Ʈ
  - ø Ʈ APIԼ 
  - _UART0_ENABLE UART0

 - [2007.03.25]   
  - U0_Init()Լ Ʈ ʱȭ U0_SetBaud(BAUD_57600) 
   -> Ʈ  ʵǴ  
   
 - [2007.04.01]
  - serial.h -> serial.c  serial_hal.h hal    ֵ
  - (serial_hal.h) ߰ system.h HAL    ֵ ϰ...
  -  halmegxx.h  _HAL_MEGA128_UART, _HAL_MEGA8_UART ̿Ͽ HAL
*/



//------------------------------------------------------------------------------
// UART Defination
//------------------------------------------------------------------------------
#define BAUD_9600							0
#define BAUD_14400							1
#define BAUD_19200							2
#define BAUD_28800							3
#define BAUD_38400							4		
#define BAUD_57600							5		
#define BAUD_76800							6		
#define BAUD_115200							7	


#ifdef _UART0_ENABLE
//-----------------------------------------------------------------------------
// USART Fuction Declaration
unsigned char U0_IsGetByte(void);
void U0_Init(unsigned char baud);
void U0_SetBaud(unsigned char baud);
unsigned char U0_GetByte(void);
void U0_PutByte(unsigned char Data);
void U0_PutBuf(unsigned char *str, unsigned char len);
//------------------------------------------------------------------------------
#endif	//end UART0 ENABLE


#ifdef _UART1_ENABLE
//-----------------------------------------------------------------------------
// USART Fuction Declaration
unsigned char U1_IsGetByte(void);
void U1_Init(unsigned char baud);
void U1_SetBaud(unsigned char baud);
unsigned char U1_GetByte(void);
void U1_PutByte(unsigned char Data);
void U1_PutStr(unsigned char *str);
void U1_PutBuf(unsigned char *str, unsigned char len);
//------------------------------------------------------------------------------
#endif	//end _UART1_ENABLE
