#include "..\00_hal\spi_hal.h"

#define SPI_SPEED_1MHZ						1
#define SPI_SPEED_4MHZ						2



#ifdef _SPI0_ENABLE

void SPI0_SetSpeed(UINT SpiSpeed);

//----------------------------------------------------------------
void SPI0_Init(void) // SPI  ʱȭ Լ
{
	spi0_hal_init();
	
	SPI0_SetSpeed(SPI_SPEED_4MHZ);
}

UINT SPI0_WriteReadByte(UINT Data)
{
	UINT temp = 0;
	SPI0_TxData(Data);	

	SPI0_WaitForSend();
 
	temp = SPI0_RxData();	//  
	
  
	return (temp);
}

void SPI0_SetSpeed(UINT SpiSpeed)
{
	if(SpiSpeed	== SPI_SPEED_1MHZ)
	{
		spi0_mode0();	
	}
	else if(SpiSpeed == SPI_SPEED_4MHZ)
	{
		spi0_mode3();	
	}
}
#endif //_SPI0_ENABLE


#ifdef _SPI1_ENABLE
//----------------------------------------------------------------
void SPI1_SetSpeed(UINT SpiSpeed);

void SPI1_Init(void) // SPI  ʱȭ Լ
{
	spi1_hal_init();
	SPI1_SetSpeed(SPI_SPEED_4MHZ)
}

UINT SPI1_WriteReadByte(UINT Data)
{
	UINT temp = 0;
	SPI1_TxData(Data);	

	SPI1_WaitForSend();
 
	temp = SPI1_RxData();	//  
	
	return (temp);	
}


void SPI1_SetSpeed(UINT SpiSpeed)
{

	if(SpiSpeed	== SPI_SPEED_1MHZ)
	{
		spi1_mode0();	
	}
	else if(SpiSpeed == SPI_SPEED_4MHZ)
	{
		spi1_mode3();	
	}
}
#endif //_SPI1_ENABLE
